package com.yyrh.constant;

import android.text.TextUtils;

import com.yyrh.utils.YYLog;

import org.json.JSONObject;

public class LoginData {



    public String uname = "";

    public String token = "";



    public JSONObject links = null;

    public String channel_uid = "";


    public String solo_email = "";

    public String user_center = "";

    public String authentication = "";


    public String login_token = "";

    public String rn_si = "";

    public static LoginData toBean(JSONObject json){
        if (TextUtils.isEmpty(json.toString())) {
            return null;
        }
        LoginData loginData = new LoginData();

        loginData.token = json.optString("token");

        loginData.uname = json.optString("uname");

        loginData.channel_uid  = json.optString("channel_uid");





        loginData.links = json.optJSONObject("links");

        loginData.login_token = json.optString("login_token");

        loginData.rn_si = json.optString("rn_si");

        if (loginData.links == null){
            loginData.solo_email = "";
            loginData.user_center = "";
        }else {
            loginData.solo_email = loginData.links.optString("solo_email");
            loginData.user_center = loginData.links.optString("user_center");
            loginData.authentication = loginData.links.optString("authentication");


        }

        YYLog.i(loginData.toString());


        return loginData;

    }


    @Override
    public String toString() {
        return "LoginData{" +
                "uname='" + uname + '\'' +
                ", token='" + token + '\'' +
                ", links=" + links +
                ", channel_uid='" + channel_uid + '\'' +
                ", solo_email='" + solo_email + '\'' +
                ", user_center='" + user_center + '\'' +
                ", authentication='" + authentication + '\'' +
                ", login_token='" + login_token + '\'' +
                ", rn_si='" + rn_si + '\'' +
                '}';
    }
}
